# Generated by Django 3.2.5 on 2021-07-26 18:58

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Department',
            fields=[
                ('_id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Election',
            fields=[
                ('_id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
                ('date', models.DateField()),
            ],
        ),
        migrations.CreateModel(
            name='Province',
            fields=[
                ('_id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Township',
            fields=[
                ('_id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
                ('province', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='api.province')),
            ],
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('_id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('role', models.CharField(choices=[(1, 'Administrator'), (2, 'Manager'), (3, 'User'), (4, 'Guest')], max_length=1)),
                ('department', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.department')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Neighbourhood',
            fields=[
                ('_id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
                ('code', models.CharField(max_length=20)),
                ('district', models.CharField(max_length=20)),
                ('residents', models.IntegerField()),
                ('township', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='api.township')),
            ],
        ),
        migrations.CreateModel(
            name='Member',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('member', models.CharField(max_length=100)),
                ('registrationDate', models.DateField()),
                ('active', models.BooleanField()),
                ('neighbourhood', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='api.neighbourhood')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ElectionNeighbourhood',
            fields=[
                ('_id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('flyer', models.BooleanField()),
                ('status', models.DecimalField(decimal_places=2, max_digits=3)),
                ('election', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.election')),
                ('neighbourhood', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.neighbourhood')),
                ('responsible', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='api.member')),
            ],
        ),
        migrations.AddField(
            model_name='election',
            name='neighbourhoods',
            field=models.ManyToManyField(through='api.ElectionNeighbourhood', to='api.Neighbourhood'),
        ),
        migrations.AddField(
            model_name='department',
            name='users',
            field=models.ManyToManyField(through='api.Role', to=settings.AUTH_USER_MODEL),
        ),
    ]
