from django.views.generic import TemplateView
from django.urls import path
from . import views

urlpatterns = [
    path('', TemplateView.as_view(template_name='index.html')),
    path('users/login', views.MyTokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('routes', views.getRoutes, name="routes"),
    path('users/<str:pk>', views.getUserDetails, name="user-details"),
    path('departments/', views.getDepartments, name="departments"),
    path('election/', views.getLatestElection, name="election"),
    path('update-status', views.updateNeigbourhoodStatus, name="update-status"),
    path('update-responsible', views.setNeigbourhoodResponsible, name="update-responsible"),
    # path('users/', views.getUsers, name="users"),
]

#
